"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useJunctionProperties = void 0;
/* eslint-disable import/prefer-default-export */
var react_1 = __importDefault(require("react"));
var context_1 = require("../context");
var useJunctionProperties = function (nodeId) {
    var _a = react_1.default.useContext(context_1.GabbyQueryProtocolContext), appendPredicate = _a.appendPredicate, getChildrenIds = _a.getChildrenIds, operatorLabels = _a.operatorLabels, getJunctionById = _a.getJunctionById, makeEmptyPredicate = _a.makeEmptyPredicate, removePredicate = _a.removePredicate, setNodeConjunction = _a.setConjunction, setNodeDisjunction = _a.setDisjunction;
    //
    return {
        queryPredicate: getJunctionById(nodeId),
        appendPredicate: function (newPredicate) {
            appendPredicate(nodeId, newPredicate);
        },
        getChildrenIds: function () {
            return getChildrenIds(nodeId);
        },
        getPredicateProperties: function () {
            return getJunctionById(nodeId);
        },
        makeEmptyPredicate: makeEmptyPredicate,
        operatorLabels: operatorLabels,
        removeMe: function () {
            removePredicate(nodeId);
        },
        setConjunction: function () {
            // untestable
            // tests gives: "Maximum update depth exceeded"
            // doesn't seem to be an issue when running in dev/prod.
            // not sure why tests do it
            setNodeConjunction(nodeId);
        },
        setDisjunction: function () {
            // untestable
            // tests gives: "Maximum update depth exceeded"
            // doesn't seem to be an issue when running in dev/prod.
            // not sure why tests do it
            setNodeDisjunction(nodeId);
        },
    };
};
exports.useJunctionProperties = useJunctionProperties;
//# sourceMappingURL=useJunctionProperties.js.map