"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.usePredicateProperties = void 0;
/* eslint-disable import/prefer-default-export */
var react_1 = __importDefault(require("react"));
var context_1 = require("../context");
var usePredicateProperties = function (nodeId) {
    var _a = react_1.default.useContext(context_1.GabbyQueryProtocolContext), appendPredicate = _a.appendPredicate, getPredicateById = _a.getPredicateById, operatorLabels = _a.operatorLabels, makeEmptyPredicate = _a.makeEmptyPredicate, removePredicate = _a.removePredicate, updatePredicate = _a.updatePredicate;
    return {
        appendPredicate: function (newPredicate) {
            appendPredicate(nodeId, newPredicate);
        },
        makeEmptyPredicate: makeEmptyPredicate,
        operatorLabels: operatorLabels,
        queryPredicate: getPredicateById(nodeId),
        removeMe: function () {
            removePredicate(nodeId);
        },
        updateMe: function (change) {
            updatePredicate(nodeId, change);
        },
    };
};
exports.usePredicateProperties = usePredicateProperties;
//# sourceMappingURL=usePredicateProperties.js.map