import { PredicateFormulaEditor, PredicateTree, PredicateTreeError } from "gabby-query-protocol-lib";
import { Validators } from "gabby-query-protocol-lib/dist/validators";
import type { TValidatorResponse } from "gabby-query-protocol-lib/dist/validators/types";
import type { TPredicateProperties, TPredicateOperator, TPredicatePropertiesArrayValue, TPredicateSubjectWithId, TSerializedPredicateTree, IVisitor } from "gabby-query-protocol-lib";
import { TreeVisitors as PredicateTreeVisitors } from "gabby-query-protocol-lib/dist/Predicates/TreeVisitors";
import type { TProjectionProperties } from "gabby-query-protocol-projection";
import GabbyQueryProtocolContextProvider, { GabbyQueryProtocolContext, useJunctionProperties, usePredicateProperties, useProjectionSubjectProperties, useProjectionSubjects } from "./GabbyQueryProtocolContext";
import type { TGabbyQueryProtocolContextType, TPredicateOperatorLabels } from "./GabbyQueryProtocolContext";
import { GabbyAssetFactory } from "./GabbyAssetFactory";
import type { TGabbyAssetsJson, TGabbyAssets } from "./GabbyAssetFactory";
declare const CONSTS: {
    DEFAULT_OPERATOR_LABELS: TPredicateOperatorLabels;
    SUPPORTED_DATATYPES: string[];
    DECIMAL_SYMBOL: ".";
    PREDICATE_OPERATORS: string[];
    JUNCTION_OPERATORS: string[];
    PREDICATE_PROPERTIES: string[];
    SUPPORTED_LOCALES: string[];
    SUBJECT_PROPERTIES: string[];
    TREE_PATH_DELIMITER: ":";
};
declare const EXAMPLE_JSON_BLUE_SKIES: {
    LIB: {
        predicateSubjectsDictionaryJson: import("gabby-query-protocol-lib/dist/PredicateSubjects/type").TPredicateSubjectDictionaryJson;
        predicateTreeJson: TSerializedPredicateTree;
    };
    PROJECTION: {
        projectableSubjectDictionaryJson: import("gabby-query-protocol-projection").TProjectableSubjectsDictionaryJson;
        projectionJson: TProjectionProperties[];
    };
};
export { CONSTS, EXAMPLE_JSON_BLUE_SKIES, GabbyAssetFactory, GabbyQueryProtocolContext, GabbyQueryProtocolContextProvider, PredicateFormulaEditor, PredicateTree, PredicateTreeError, PredicateTreeVisitors, useJunctionProperties, usePredicateProperties, useProjectionSubjectProperties, useProjectionSubjects, Validators, };
export type { IVisitor, TGabbyAssetsJson, TGabbyAssets, TGabbyQueryProtocolContextType, TPredicateProperties, TPredicateOperator, TPredicateOperatorLabels, TPredicatePropertiesArrayValue, TPredicateSubjectWithId, TProjectionProperties, TSerializedPredicateTree, TValidatorResponse, };
